﻿#region Header
// Copyright 2007-2011, Jerónimo Milea
// 
// This file is part of NetJsWire.
// 
//     NetJsWire is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License, or
//     (at your option) any later version.
// 
//     NetJsWire is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
// 
//     You should have received a copy of the GNU General Public License
//     along with NetJsWire.  If not, see <http://www.gnu.org/licenses/>.
#endregion
namespace NetJsWire.Lite.Widgets.UI.Grid {
    /// <summary>
    ///   /**
    ///   This class provides the basic implementation for <i>single</i> <b>cell</b> selection in a grid.
    ///   The object stored as the selection contains the following properties:
    ///   <div class = "mdetail-params"><ul>
    ///                                   <li><b>cell</b> : see {@link #getSelectedCell}
    ///                                     <li><b>record</b> : Ext.data.record The {@link Ext.data.Record Record}
    ///                                       which provides the data for the row containing the selection</li>
    ///                                 </ul></div>
    /// </summary>
    public class CellSelectionModel : SelectionModel {
        /// <summary>
        /// </summary>
        /// <returns></returns>
        public CellSelectionModel() {}

        /// <summary>
        /// </summary>
        /// <param name = "config">The object containing the configuration of this model.</param>
        /// <returns></returns>
        public CellSelectionModel(object config) {}
    }
}
