#region Header
// Copyright 2007-2011, Jernimo Milea
// 
// This file is part of NetJsWire.
// 
//     NetJsWire is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License, or
//     (at your option) any later version.
// 
//     NetJsWire is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
// 
//     You should have received a copy of the GNU General Public License
//     along with NetJsWire.  If not, see <http://www.gnu.org/licenses/>.
#endregion

using System;
using System.Reflection;

namespace NetJsWire.JsonRpcHandler.Util
{
    public class ClientUtils
    {
        public static FieldInfo FindEventInType( Type t, string field )
        {
            //var memberInfos = t.FindMembers( MemberTypes.Field, BindingFlags.NonPublic | BindingFlags.Instance | BindingFlags.Public, ( m, o ) => m.Name.Equals( field, StringComparison.InvariantCultureIgnoreCase ), null );
            //var fld = field;
            //if ( memberInfos != null && memberInfos.Length > 0 )
            //{
            //    fld = memberInfos[ 0 ].Name;
            //}
            var fi = t.GetField( field, BindingFlags.NonPublic | BindingFlags.Instance | BindingFlags.Public );
            if ( fi != null )
            {
                return fi;
            }
            return t.BaseType != null ? FindEventInType( t.BaseType, field ) : null;
        }
    }
}