﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace NetJsWire.Widgets.Ui.Table
{
    internal class TableComponentPropertyGridSite : ISite, IServiceProvider
    {
        // Fields
        private IComponent comp;
        private bool inGetService;
        private IServiceProvider sp;

        // Methods
        public TableComponentPropertyGridSite(IServiceProvider sp, IComponent comp)
        {
            this.sp = sp;
            this.comp = comp;
        }

        public object GetService(Type t)
        {
            if (!this.inGetService && (this.sp != null))
            {
                try
                {
                    this.inGetService = true;
                    return this.sp.GetService(t);
                }
                finally
                {
                    this.inGetService = false;
                }
            }
            return null;
        }

        // Properties
        public IComponent Component
        {
            get
            {
                return this.comp;
            }
        }

        public IContainer Container
        {
            get
            {
                return null;
            }
        }

        public bool DesignMode
        {
            get
            {
                return false;
            }
        }

        public string Name
        {
            get
            {
                return null;
            }
            set
            {
            }
        }
    }
}
