﻿#region Header
// Copyright 2007-2011, Jerónimo Milea
// 
// This file is part of NetJsWire.
// 
//     NetJsWire is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License, or
//     (at your option) any later version.
// 
//     NetJsWire is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
// 
//     You should have received a copy of the GNU General Public License
//     along with NetJsWire.  If not, see <http://www.gnu.org/licenses/>.
#endregion

using System.Collections;
using System.Windows.Forms.Design;

namespace NetJsWire.Lite.Designers
{
    internal class TabControlDesigner : ControlDesigner
    {
        protected override void PostFilterProperties( IDictionary properties )
        {
            properties.Remove( "AccessibleDescription" );
            properties.Remove( "AccessibleName" );
            properties.Remove( "AccessibleRole" );
            properties.Remove( "AllowDrop" );
            properties.Remove( "Appearance" );
            properties.Remove( "CausesValidation" );
            properties.Remove( "Cursor" );
            properties.Remove( "DrawMode" );
            properties.Remove( "Font" );
            properties.Remove( "GenerateMember" );
            properties.Remove( "HotTrack" );
            properties.Remove( "ImageList" );
            properties.Remove( "ImeMode" );
            properties.Remove( "ItemSize" );
            properties.Remove( "Margin" );
            properties.Remove( "MaximumSize" );
            properties.Remove( "MinimumSize" );
            properties.Remove( "MultiLine" );
            properties.Remove( "Padding" );
            properties.Remove( "RightToLeft" );
            properties.Remove( "RightToLeftLayout" );
            properties.Remove( "SizeMode" );
            properties.Remove( "UseWaitCursor" );

            base.PostFilterProperties( properties );
        }
    }
}