﻿#region Header
// Copyright 2007-2011, Jerónimo Milea
// 
// This file is part of NetJsWire.
// 
//     NetJsWire is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License, or
//     (at your option) any later version.
// 
//     NetJsWire is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
// 
//     You should have received a copy of the GNU General Public License
//     along with NetJsWire.  If not, see <http://www.gnu.org/licenses/>.
#endregion

using System;
using System.ComponentModel;
using System.Windows.Forms.Design;
using NetJsWire.Lite.Widgets.UI.Form;

namespace NetJsWire.Lite.Designers
{
    public class TextFieldLWDesigner : ControlDesigner
    {
        public override void Initialize( IComponent component )
        {
            base.Initialize( component );
            var tf = component as TextFieldLW;
            if ( tf == null )
                throw new InvalidOperationException( "This designer is only for TextField or descendants." );
        }

        //protected override void OnPaintAdornments( PaintEventArgs pe )
        //{
        //    base.OnPaintAdornments( pe );
        //    pe.Graphics.FillRectangle( new SolidBrush( Color.White ), pe.ClipRectangle );
        //    ControlPaint.DrawBorder3D( pe.Graphics, pe.ClipRectangle, Border3DStyle.Flat );
        //    if ( !string.IsNullOrWhiteSpace( Control.Text ) )
        //    {
        //        var font = new Font( "Tahoma", 12, FontStyle.Regular, GraphicsUnit.Pixel );
        //        pe.Graphics.DrawString( Control.Text, font, new SolidBrush( Color.Black ), 3, 4 );
        //    }
        //}
    }
}
