#region Header
// Copyright 2007-2011, Jernimo Milea
// 
// This file is part of NetJsWire.
// 
//     NetJsWire is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License, or
//     (at your option) any later version.
// 
//     NetJsWire is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
// 
//     You should have received a copy of the GNU General Public License
//     along with NetJsWire.  If not, see <http://www.gnu.org/licenses/>.
#endregion
namespace NetJsWire.Lite.Widgets.UI.Tree
{
    /// <summary>
    ///   /**
    ///   This class provides the default UI implementation for Ext TreeNodes.
    ///   The TreeNode UI implementation is separate from the
    ///   tree implementation, and allows customizing of the appearance of
    ///   tree nodes.<br>
    ///                <p>
    ///                  If you are customizing the Tree's user interface, you
    ///                  may need to extend this class, but you should never need to instantiate this class.<br>
    ///                                                                                                       <p>
    ///                                                                                                         This class provides access to the user interface components of an Ext TreeNode, through
    ///                                                                                                         {@link Ext.tree.TreeNode#getUI}
    ///                                                                                                         */
    ///                                                                                                         Ext.tree.TreeNodeUI = Ext.extend(Object, {
    /// </summary>
    public class TreeNodeUI
    {
    }
}
