﻿<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text" indent="yes" encoding="utf-8" omit-xml-declaration="yes" />

  <xsl:template match="control">
    <xsl:choose>
      <xsl:when test="@directRender='true'">
        <xsl:value-of select="."/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:element name="control">
          <xsl:attribute name="type">
            <xsl:value-of select="@type" />
          </xsl:attribute>
          <xsl:attribute name="name">
            <xsl:value-of select="@name" />
          </xsl:attribute>
          <xsl:attribute name="y">
            <xsl:value-of select="@y" />
          </xsl:attribute>
        </xsl:element>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:element name="controls">
      <xsl:apply-templates select="./controls/control">
        <xsl:sort select="@y" data-type="number" order="ascending" />
      </xsl:apply-templates>
    </xsl:element>
  </xsl:template>

</xsl:stylesheet>